Subject: bug#19102: 24.4; outline-move-subtree-up/down error at last and second-last subtree

From: Paul Rankin <[email-masked]>
Date: Wed, 19 Nov 2014 18:29:01 +1000

1. emacs -Q
2. M-x switch-to-buffer RET test
3. M-x outline-mode
4. insert:
   * one
   * two
   * three
5. position point at "* three"
6. M-x outline-move-subtree-up
   => Wrong type argument: number-or-marker-p, nil
7. position point at "* two"
8. M-x outline-move-subtree-down
   => Wrong type argument: number-or-marker-p, nil

Expected behaviour:

- at 6. subtree "* three" should move above "* two"
- or at 8. subtree "* two" should move below "* three"

In GNU Emacs 24.4.1 (x86_64-apple-darwin14.0.0, NS apple-appkit-1343.14)
 of 2014-10-21 on Paul-Rankins-MacBook-Pro.local
Windowing system distributor `Apple', version 10.3.1343
Configured using:
 `configure --prefix=/usr/local/Cellar/emacs/24.4
 --enable-locallisppath=/usr/local/share/emacs/site-lisp
 --infodir=/usr/local/Cellar/emacs/24.4/share/info/emacs --without-dbus
 --with-gnutls --with-ns --disable-ns-self-contained'

Important settings:
  value of $LANG: en_AU.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Outline

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x s w i t <tab> b u <tab> <return> t e s t <return> 
M-x o u t l i n e SPC m o d <tab> <return> s-v <up> 
M-x o u t l i n e SPC m o v e <tab> u p <tab> <return> 
<up> <up> M-x o u t l i n e SPC m o v e <tab> d o <tab> 
<return> M-x r e p o r t <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
You can run the command `switch-to-buffer' with C-x b
Mark set
outline-move-subtree-up: Wrong type argument: number-or-marker-p, nil
call-interactively: Wrong type argument: number-or-marker-p, nil

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils noutline outline easy-mmode
time-date tooltip electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel ns-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment lisp-mode prog-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process cocoa ns multi-tty emacs)

Memory information:
((conses 16 73311 8272)
 (symbols 48 17397 0)
 (miscs 40 41 170)
 (strings 32 10116 4888)
 (string-bytes 1 269187)
 (vectors 16 9102)
 (vector-slots 8 374266 16740)
 (floats 8 54 226)
 (intervals 56 204 0)
 (buffers 960 13))

-- 
Paul W. Rankin
http://www.paulwrankin.com

Before printing this email please take a moment to think about the
environment. Just stop and think about it. Think about the last time you
were walking alone in a forest, how you felt at peace, how a wave of
clarity seemed to overcome you and you had to stop and reevaluate your
life, what you're doing with the limited time you have here. "Damn," you
thought, "life is so precious. I should really be doing ______." Are you
doing that now? Why not? Go on, pick up your computer and throw it out
the window! It'll be great, like that scene from Network where everyone
starts yelling "I'M MAD AS HELL AND I'M NOT GOING TO TAKE THIS ANY
MORE." That'll be you, but it will be real. Now's your moment.
-- 
Paul W. Rankin
http://www.paulwrankin.com